from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from flashcards.models import Flashcard, UserFlashcard, Section, \
    LecturePeriod, User, UserFlashcardQuiz, WhitelistedAddress, FlashcardHide

admin.site.register([
    Flashcard,
    UserFlashcard,
    UserFlashcardQuiz,
    Section,
    LecturePeriod,
    FlashcardHide,
    WhitelistedAddress
])
admin.site.register(User, UserAdmin)
