# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('flashcards', '0004_auto_20150506_1443'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserFlashcardQuiz',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('when', models.DateTimeField()),
                ('blanked_word', models.CharField(help_text=b'The character range which was blanked', max_length=8, blank=True)),
                ('response', models.CharField(help_text=b"The user's response", max_length=255, null=True, blank=True)),
                ('correct', models.NullBooleanField(help_text=b"The user's self-evaluation of their response")),
                ('user_flashcard', models.ForeignKey(to='flashcards.UserFlashcard')),
            ],
        ),
        migrations.RemoveField(
            model_name='userflashcardreview',
            name='user_flashcard',
        ),
        migrations.AlterModelOptions(
            name='section',
            options={'ordering': ['-course_title']},
        ),
        migrations.AlterField(
            model_name='whitelistedaddress',
            name='section',
            field=models.ForeignKey(related_name='whitelist', to='flashcards.Section'),
        ),
        migrations.AlterUniqueTogether(
            name='section',
            unique_together=set([]),
        ),
        migrations.DeleteModel(
            name='UserFlashcardReview',
        ),
        migrations.RemoveField(
            model_name='section',
            name='whitelist',
        ),
    ]
