# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import flashcards.fields


class Migration(migrations.Migration):

    dependencies = [
        ('flashcards', '0004_user_confirmed_email'),
    ]

    operations = [
        migrations.AlterField(
            model_name='flashcard',
            name='mask',
            field=flashcards.fields.MaskField(help_text=b'The mask on the card', range_sep=b'-', null=True, blank_sep=b',', blank=True),
        ),
        migrations.AlterField(
            model_name='flashcard',
            name='text',
            field=models.CharField(help_text=b'The text on the card', max_length=140),
        ),
        migrations.AlterField(
            model_name='userflashcard',
            name='mask',
            field=flashcards.fields.MaskField(default=None, blank_sep=b',', range_sep=b'-', blank=True, help_text=b'The user-specific mask on the card', null=True),
        ),
    ]
