# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import flashcards.fields


class Migration(migrations.Migration):

    dependencies = [
        ('flashcards', '0010_auto_20150513_1546'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='lectureperiod',
            options={'ordering': ['section', 'week_day']},
        ),
        migrations.AlterField(
            model_name='userflashcard',
            name='mask',
            field=flashcards.fields.MaskField(default=None, blank_sep=b',', range_sep=b'-', max_length=255, blank=True, help_text=b'The user-specific mask on the card', null=True),
        ),
        migrations.AlterField(
            model_name='userflashcard',
            name='pulled',
            field=models.DateTimeField(default=None, help_text=b'When the user pulled the card', null=True, blank=True),
        ),
        migrations.AlterField(
            model_name='userflashcard',
            name='unpulled',
            field=models.DateTimeField(default=None, help_text=b'When the user unpulled this card', null=True, blank=True),
        ),
    ]
