# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('flashcards', '0011_auto_20150514_0207'),
    ]

    operations = [
        migrations.CreateModel(
            name='FlashcardHide',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('reason', models.CharField(max_length=255, null=True, blank=True)),
                ('hidden', models.DateTimeField(auto_now_add=True)),
                ('flashcard', models.ForeignKey(to='flashcards.Flashcard')),
                ('user', models.ForeignKey(to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='flashcardreport',
            unique_together=set([]),
        ),
        migrations.RemoveField(
            model_name='flashcardreport',
            name='flashcard',
        ),
        migrations.RemoveField(
            model_name='flashcardreport',
            name='user',
        ),
        migrations.RemoveField(
            model_name='userflashcard',
            name='unpulled',
        ),
        migrations.DeleteModel(
            name='FlashcardReport',
        ),
        migrations.AlterUniqueTogether(
            name='flashcardhide',
            unique_together=set([('user', 'flashcard')]),
        ),
        migrations.AlterIndexTogether(
            name='flashcardhide',
            index_together=set([('user', 'flashcard')]),
        ),
    ]
