# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('flashcards', '0012_auto_20150516_0313'),
    ]

    operations = [
        migrations.AlterField(
            model_name='flashcard',
            name='hide_reason',
            field=models.CharField(default=None, max_length=255, null=True, help_text=b'Reason for hiding this card', blank=True),
        ),
        migrations.AlterField(
            model_name='flashcard',
            name='previous',
            field=models.ForeignKey(default=None, blank=True, to='flashcards.Flashcard', help_text=b'The previous version of this card, if one exists', null=True),
        ),
    ]
