# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations
import flashcards.fields


class Migration(migrations.Migration):
    dependencies = [
        ('flashcards', '0005_auto_20150510_1458'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='flashcard',
            name='mask'
        ),

        migrations.RemoveField(
            model_name='userflashcard',
            name='mask'
        ),
        migrations.DeleteModel(
            name='FlashcardMask',
        ),
        migrations.AddField(
            model_name='flashcard',
            name='mask',
            field=flashcards.fields.MaskField(help_text=b'The mask on the card', max_length=255, null=True, blank=True),
        ),
        migrations.AddField(
            model_name='userflashcard',
            name='mask',
            field=flashcards.fields.MaskField(help_text=b'The user-specific mask on the card', max_length=255,
                                              null=True, blank=True),
        ),
    ]
