from flashcards.models import *


def apply():
    u = User.objects.get(email='userx@flashy.cards')
    y = User.objects.get(email='usery@flashy.cards')
    s = Section.objects.get(department_abbreviation='TEST', course_num='101')
    s.enroll(u)
    s.enroll(y)
    from datetime import datetime

    date = make_aware(datetime(2015, 4, 1))
    for _ in range(10):
        Flashcard.push(author=y, section=s, text='apple', mask=FlashcardMask([]), material_date=date)
        Flashcard.push(author=y, section=s, text='banana', mask=FlashcardMask([]), material_date=date)
        f = Flashcard.push(author=y, section=s, text='orange', mask=FlashcardMask([]), material_date=date)
        f.hide_by_user(u)
        date += timedelta(7)
