#!/bin/bash -xe

if [ ! -d "../flashy-frontend/" ]; then
   echo "In order to serve the frontend, flashy-frontend must be in the parent dir"
   exit 1
fi

if [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
    source venv/bin/activate
elif [ "$(expr substr $(uname -s) 1 10)" == "MINGW32_NT" ]; then
    source venv/Scripts/activate
fi

python manage.py runserver 127.0.0.1:8080
